# Generated from shipnow-0.1.0.gem by gem2rpm -*- rpm-spec -*-
%global gem_name shipnow

Name: rubygem-%{gem_name}
Version: 0.1.0
Release: 1%{?dist}
Summary: Ruby client for the ShipNow API
License: MIT
URL: https://github.com/goodpeople/shipnow-ruby
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: ruby(release)
BuildRequires: rubygems-devel
BuildRequires: ruby
# BuildRequires: rubygem(pry) >= 0.10
# BuildRequires: rubygem(pry) < 1
# BuildRequires: rubygem(byebug) >= 5.0
# BuildRequires: rubygem(byebug) < 6
# BuildRequires: rubygem(pry-byebug) >= 3.2
# BuildRequires: rubygem(pry-byebug) < 4
# BuildRequires: rubygem(minitest) >= 5.8
# BuildRequires: rubygem(minitest) < 6
# BuildRequires: rubygem(minitest-byebug)
# BuildRequires: rubygem(minitest-byebug) < 1
# BuildRequires: rubygem(minitest-reporters) >= 1.1
# BuildRequires: rubygem(minitest-reporters) < 2
# BuildRequires: rubygem(httplog) >= 0.2
# BuildRequires: rubygem(httplog) < 1
BuildArch: noarch

%description
This gem allows developers to use the services available in the ShipNow API
(http://www.shipnow.com.ar).


%package doc
Summary: Documentation for %{name}
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -q -n %{gem_name}-%{version}

%build
# Create the gem as gem install only works on a gem file
gem build ../%{gem_name}-%{version}.gemspec

# %%gem_install compiles any C extensions and installs the gem into ./%%gem_dir
# by default, so that we can move it into the buildroot in %%install
%gem_install

%install
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/


mkdir -p %{buildroot}%{_bindir}
cp -a .%{_bindir}/* \
        %{buildroot}%{_bindir}/

find %{buildroot}%{gem_instdir}/bin -type f | xargs chmod a+x

%check
pushd .%{gem_instdir}
# ruby -e 'Dir.glob "./test/**/*_test.rb", &method(:require)'
popd

%files
%dir %{gem_instdir}
%{_bindir}/console
%{_bindir}/setup
%exclude %{gem_instdir}/.gitignore
%exclude %{gem_instdir}/.travis.yml
%license %{gem_instdir}/LICENSE
%{gem_instdir}/bin
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/Gemfile
%doc %{gem_instdir}/README.md
%{gem_instdir}/Rakefile
%{gem_instdir}/shipnow.gemspec

%changelog
* Wed Apr 20 2022 mockbuilder - 0.1.0-1
- Initial package
